summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--etc/rc.d/amd5
-rw-r--r--etc/rc.d/btd5
-rw-r--r--etc/rc.d/dhcpd6
-rw-r--r--etc/rc.d/yppasswdd5
4 files changed, 9 insertions, 12 deletions
diff --git a/etc/rc.d/amd b/etc/rc.d/amd
index 5e474c9541f..ad3113db048 100644
--- a/etc/rc.d/amd
+++ b/etc/rc.d/amd
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $OpenBSD: amd,v 1.1 2011/07/08 02:15:34 robert Exp $
+# $OpenBSD: amd,v 1.2 2011/07/08 04:29:54 ajacoutot Exp $
daemon="/usr/sbin/amd"
@@ -11,9 +11,8 @@ rc_restart=NO
rc_stop=NO
rc_pre() {
- [ -e ${amd_master} ]
+ [ -e ${amd_master} ] || return 1
daemon_flags=$(cat ${amd_master})
- return 0
}
rc_cmd $1
diff --git a/etc/rc.d/btd b/etc/rc.d/btd
index c3381c7a77c..5f806b1bca9 100644
--- a/etc/rc.d/btd
+++ b/etc/rc.d/btd
@@ -1,13 +1,12 @@
#!/bin/sh
#
-# $OpenBSD: btd,v 1.1 2011/07/07 22:30:37 robert Exp $
+# $OpenBSD: btd,v 1.2 2011/07/08 04:29:54 ajacoutot Exp $
daemon="/usr/sbin/btd"
. /etc/rc.d/rc.subr
pexp="btd: \[priv\]"
-
-no_reload=YES
+rc_reload=NO
rc_cmd $1
diff --git a/etc/rc.d/dhcpd b/etc/rc.d/dhcpd
index c3a94241d77..dec50a7f370 100644
--- a/etc/rc.d/dhcpd
+++ b/etc/rc.d/dhcpd
@@ -1,15 +1,15 @@
#!/bin/sh
#
-# $OpenBSD: dhcpd,v 1.1 2011/07/06 18:55:36 robert Exp $
+# $OpenBSD: dhcpd,v 1.2 2011/07/08 04:29:54 ajacoutot Exp $
daemon="/usr/sbin/dhcpd"
. /etc/rc.d/rc.subr
+rc_reload=NO
+
rc_pre() {
touch /var/db/dhcpd.leases
}
-rc_reload=NO
-
rc_cmd $1
diff --git a/etc/rc.d/yppasswdd b/etc/rc.d/yppasswdd
index 07b5263452b..01d883ea9a9 100644
--- a/etc/rc.d/yppasswdd
+++ b/etc/rc.d/yppasswdd
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $OpenBSD: yppasswdd,v 1.3 2011/07/08 02:15:34 robert Exp $
+# $OpenBSD: yppasswdd,v 1.4 2011/07/08 04:29:54 ajacoutot Exp $
daemon="/usr/sbin/rpc.yppasswdd"
@@ -22,8 +22,7 @@ rc_pre() {
_host2=`echo $_host2 | nslookup | grep '^Name: ' | \
sed -e 's/^Name: //'`
fi
- [ "$_host2" != "$_host1" ] && return 1
- return 0
+ [ "$_host2" = "$_host1" ]
}
rc_cmd $1